Query stations around a GeoJSON point

With the query stationsAround you can fetch the stations around a GeoJSON point with a specific distance in meters. This can be useful when a station is busy, or when you want to provide several charging options.

Query stations around

Fetch the 20 closest stations around a GeoJSON location and plot them on a map.

Query stations around

Query

Query stations around a certain location by passing some coordinates into the stationAround query. Optionally add some filters or maintain performance by including pagination.

Filters

When querying a station around a GeoJSON location you need to set the location and distance on the filter argument. Optionally you can set power and amenities.

Pagination

To limit your results and improve the performance you can use pagination on your query.

Arguments

query • StationAroundQuery

Query parameters to filter stations.

filter • StationAroundFilter

Criteria to filter stations.

size • Int

Number of elements (count) to return.

Default • 10

page • Int

Page number to return.

Default • 0

Selectable fields - Frequently requested

id • ID

Unique ID of a station.

Selectable fields

country_code • String

ISO-3166 alpha-2 country code of a station.

party_id • String

CPO ID of a CPO that 'owns' this station (following the ISO-15118 standard).

publish • Boolean

Defines if a location may be published on a website or app etc. When this is set to false, only tokens identified in the field: publish_allowed_to are allowed to show this location. When the same location has EVSEs that may be published and may not be published, two 'locations' should be created.

name • String

Name of a charging station.

address • String

Street/block name and house number if available.

city • String

City or town

postal_code • String

Postal code of a location, may only be omitted when a location has no postal code: in some countries charging locations at highways don’t have postal codes.

state • String

State or province of a location, only to be used when relevant.

country • String

ISO 3166-1 alpha-3 code for the country of this station.

coordinates • OCPIGeoLocation

Coordinates of a location.

parking_type • OCPIParkingType

Type of parking at a charge point location.

Show OCPIParkingType enum values

evses • EVSE

EVSEs that belong to a station.

directions • OCPIDisplayText

Human-readable directions on how to reach a station.

operator • Operator

Information about an operator.

suboperator • Operator

Information about a suboperator if applicable.

owner • Operator

Information about an owner if available.